<?php
if (!isset($_SERVER['PHP_AUTH_USER'])) {
    header("Location: ../");
    exit;
}
$err     = false;
$dir     = '../data/meters/';
$csvlist = glob($dir . '*.csv');
sort($csvlist);
$contalogs = count($csvlist);

for ($i = 0; $i < $contalogs; $i++) {
    if (is_writable($csvlist[$i])) {
        $year       = (int) substr($csvlist[$i], -8, 4);
        $lines      = file($csvlist[$i]);
        $contalines = count($lines);
        
        $array = preg_split("/,/", $lines[0]);
        if (strlen($array[0]) == 8) {
            echo "Skipping: $csvlist[$i] already converted<br>";
        } else {
            for ($j = 0; $j <= $contalines; $j++) {
                $array = preg_split("/,/", $lines[$j]);
                
                if (strlen($array[0]) == 4) {
                    $stringData[$j] = "$year$array[0],$array[1]";
                } else {
                    $stringData[$j] = $lines[$j];
                }
            }
            
            $fh = fopen($csvlist[$i], 'w+') or die("can't open $myFile file");
            for ($j = 0; $j <= $contalines; $j++) {
                fwrite($fh, $stringData[$j]);
            }
            fclose($fh);
            echo "$csvlist[$i]\tDone<br>";
        }
    } else {
        $err = true;
        echo "Error: Can't save $csvlist[$i]<br>";
    }
}
if (!$err) {
    echo "Your files are converted sucessfully<br>";
} else {
    echo "The conversion did not complete successfully<br>";
}

?>