<?php
if ($_SERVER['SERVER_ADDR'] != '127.0.0.1' && $_SERVER['SERVER_ADDR'] != '::1') {
    die('Direct access not permitted');
}

define('checkaccess', TRUE);
include('../config/config_main.php');
date_default_timezone_set($DTZ);
$SCRDIR = dirname(__FILE__);
$pid=null;
$now = date($DATEFORMAT . ' H:i:s');

if (file_exists('metern.pid')) {
    $pid     = (int) file_get_contents('../scripts/metern.pid');
    $command = exec("kill -9 $pid > /dev/null 2>&1 &");
    unlink('metern.pid');
    usleep(500000);
}


if ($DEBUG) {
    $stringData = "$now\tStarting meterN on boot (debug)\n\n";
    $myFile     = dirname($SCRDIR) . '/data/metern.err';
    file_put_contents($myFile, $stringData, FILE_APPEND);
    $command = 'php metern.php' . ' >> ../data/metern.err 2>&1 & echo $!; ';
    $pid     = exec($command);
    file_put_contents('metern.pid', $pid);
} else {
    $stringData = "$now\tStarting meterN on boot\n\n";
    $command    = 'php metern.php' . ' > /dev/null 2>&1 & echo $!;';
    $pid        = exec($command);
    file_put_contents('metern.pid', $pid);
}

include('../config/config_daemon.php'); 


$DATADIR = dirname($SCRDIR) . '/data';
$stringData .= file_get_contents($DATADIR . '/events.txt');
file_put_contents($DATADIR . '/events.txt', $stringData);
?>
